Page MenuHomeVyOS Platform

Disabling Bonded Interfaces Broken
Closed, ResolvedPublic

Description

Disabling bonded interfaces is broken:

trae@cr01b-vyos# show interfaces bonding bond2
 address dhcp
 description "DL: L::cr01b-vyos.int bond2 | R::ir01.int Po1.21 (FIOS)"
 hash-policy layer3+4
 member {
     interface eth4
     interface eth5
 }
 mode xor-hash
 vrf FIOS
trae@cr01b-vyos# set interfaces bonding bond2 disable
[edit]
trae@cr01b-vyos# commit
Using source address fd52:d62e:8011:6e:192:168:15:4
[edit]
trae@cr01b-vyos# run show interfaces bonding bond2 brief 
Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down
Interface        IP Address                        S/L  Description
---------        ----------                        ---  -----------
bond2            -                                 u/u  DL: L::cr01b-vyos.int
                                                        DL: L::cr01b-vyos.int |
                                                        DL: L::cr01b-vyos.int |
                                                        DL: L::cr01b-vyos.int |
                                                        DL: L::cr01b-vyos.int |
[edit]

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202006241940
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

trae32566 created this object in space S1 VyOS Public.

Can regression testing of some sort be added for this? I've seen this issue crop up before now, so I would guess this is a good candidate for that if possible.

pasik added a subscriber: pasik.Jul 9 2020, 6:25 AM
Viacheslav added a subscriber: Viacheslav.EditedJul 21 2020, 1:07 PM

The problem not in the bonding.
Any interface with DHCP address can't be disabled.

vyos@r-roll:~$ show conf com | match eth1
set interfaces ethernet eth1 address 'dhcp'
set interfaces ethernet eth1 disable
vyos@r-roll:~$ show int
Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down
Interface        IP Address                        S/L  Description
---------        ----------                        ---  -----------
eth1             192.168.100.227/24                u/u

https://phabricator.vyos.net/T2163

c-po added a comment.Jul 21 2020, 2:24 PM

Must be fixed after T2653 - then there is only a single truth for all interfaces

c-po added a comment.Jul 26 2020, 1:10 PM

Works as expected in latest rolling: 1.3-rolling-20200724

75: bond0: <BROADCAST,MULTICAST,MASTER> mtu 1500 qdisc noqueue state DOWN group default qlen 1000
    link/ether 00:50:56:bf:ef:aa brd ff:ff:ff:ff:ff:ff
c-po closed this task as Resolved.Jul 26 2020, 1:10 PM
c-po claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:13 PM